For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • POSTAdds a USDC recipient.
      • POSTCreate Seller
      • POSTCreates a USDC withdrawal transaction for a merchant using the Coinflow wallet
      • GETDownload Seller KYC verification report.
      • POSTGet Purchase Link
      • POSTGet Purchase with Credits link
      • POSTGet Seller Login Link
      • POSTGet Seller Registration Link
      • GETGet Seller Verification Transaction
      • POSTGet Subscription Link
      • POSTGet wallet by email
LogoLogo
RegisterLoginSandbox Login
API ReferenceMarketplace

Creates a USDC withdrawal transaction for a merchant using the Coinflow wallet

POST
https://api-sandbox.coinflow.cash/api/seller/usdc-withdraw
POST
/api/seller/usdc-withdraw
$curl -X POST https://api-sandbox.coinflow.cash/api/seller/usdc-withdraw \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "destination": "0xAbC1234dEf567890aBcDeF1234567890aBcDeF12",
> "amount": {
> "cents": 250000
> }
>}'
1{
2 "transaction": "0x9f8b7c6d5e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0c9d8e7f6a5b4c3d2e1f0a9b8c"
3}

Creates a usdc withdrawal transaction for merchants using Coinflow wallet- so they can withdraw usdc from their wallet.

Was this page helpful?
Previous

Download Seller KYC verification report.

Next
Built with

Authentication

Authorizationstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
destinationstringRequired
amountobjectRequired

Response

Ok
transactionstring

Errors

451
Unavailable for Legal Reasons Error